#include "serversocket.h"

using namespace std;

namespace Msp {
namespace Net {

ServerSocket::ServerSocket(Family af, int type, int proto):
	Socket(af, type, proto)
{ }

unsigned ServerSocket::do_write(const char *, unsigned)
{
	throw logic_error("can't write to ServerSocket");
}

unsigned ServerSocket::do_read(char *, unsigned)
{
	throw logic_error("can't read from ServerSocket");
}

} // namespace Net
} // namespace Msp
